Subject: [nvo3] Arch: proposed text for Combined L2/L3 Service

From: Thomas Narten <[email-masked]>
Date: Mon, 18 Nov 2013 16:25:48 -0500

There has been some discussion on the list about whether or not to
have a combined L2/L3 service. Here is proposed text for the
architecture document:

	<t>
	  A virtual network can also provide a combined L2 and L3
	  service to tenants. In such cases, a tenant sends and
	  receives both L2 and L3 packets. An NVE recieving packets
	  from a TS determines the type of service to be applied to
	  the packet on a per-packet basis as indicated by the
	  packet's destination MAC address as provided by the TS.  If
	  the MAC address corresponds to that of an L3 router (as
	  determined by the NVE), traffic is given L3
	  semantics. Otherwise, the packet is given L2 service
	  semantics. A combined L2/L3 service presents no special
	  considerations for NVO3, other than packets received from a
	  tenant must be classified as to what type of service they
	  are to be given before they can be processed.
	</t>

This text would go at the end of Section 3.1 "VN Service (L2 and L3)".

Make sense?

Additional thinking behind this (taken from mail within the DT):

> FWIW, I think that there are separate issues here. One is simply
> describing what we mean by a combined L2/L3 service. That is what my
> text was trying to do. The thinking is if the service definition is
> clear and simple, supporting it in NVO3 is not a problem. I.e., it's
> not really much different to provide a combined service than if you
> offer an L2 or L3 service. And the service semantics for combined
> L2/L3 are easy to understand and explain.  That is goodness. :-)
> 
> Whether and how it makes sense to have distributed gateways in a
> combined service is a separate matter. What I'd like to be able to do
> here (if we need to say anything at all) is be able to say that if a
> distributed GW makes sense for L2 service, then having an L2
> distributed GW for the L2 traffic would make sense in the combined
> service case too. Ditto for L3 service.
> 
> A key point is that having a combined service is pretty much the same
> as taking the two separate L2 and L3 services and combining them into
> one implementation. There is nothing really "special" about this  that
> would complicate the overall architecture. Where we can easily get
> into trouble is if we start defining a combined service as has special
> cases that have to be dealt with that don't appear when you have only
> L2 or only L3 service semantics.

Thomas